RagTime5ChartInternal::ClusterChart Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5ChartInternal::ClusterChart Struct Reference

low level: the chart cluster data More...

Inheritance diagram for RagTime5ChartInternal::ClusterChart:

## Public Member Functions
| ClusterChart ()
| constructor More...
virtual | ~ClusterChart ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_parentLink
| cluster links list of size 60 More...
std::vector< RagTime5ClusterManager::Link > | m_valuesLink [2]
| some content zone: first a double zone, second link to sub text zone data More...
RagTime5ClusterManager::Link | m_typesLink
| list of type link More...
RagTime5ClusterManager::Link | m_unknownLink1
| unknown link of size 6 More...
RagTime5ClusterManager::Link | m_unknownLink3
| unknown link of size 32 More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the chart cluster data

## Constructor & Destructor Documentation

## ◆ ClusterChart()

RagTime5ChartInternal::ClusterChart::ClusterChart | ( |  | ) |
| inline

constructor

## ◆ ~ClusterChart()

RagTime5ChartInternal::ClusterChart::~ClusterChart | ( |  | ) |
| virtual

destructor

## Member Data Documentation

## ◆ m_parentLink

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_parentLink

cluster links list of size 60

## ◆ m_typesLink

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_typesLink

list of type link

## ◆ m_unknownLink1

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_unknownLink1

unknown link of size 6

## ◆ m_unknownLink3

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_unknownLink3

unknown link of size 32

## ◆ m_valuesLink

std::vector<RagTime5ClusterManager::Link> RagTime5ChartInternal::ClusterChart::m_valuesLink[2]

some content zone: first a double zone, second link to sub text zone data

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx